* {
    margin: 0;
    padding: 0;
  }
  
  body {
    display: block;
    width: 100%;
    height: 100%;
    background: #161C2E;
  }
  
  .container {
    width: 100%;
    margin: 0 auto;
    max-width: 420px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  
    .app {
      padding: 30px;
      background: #252E42;
      box-shadow: 0px 14px 34px rgba(0, 0, 0, 0.25);
      border-radius: 20px 0px 40px;
      position: relative;
      
      &::before {
        position: absolute;
        top: -50px;
        left: 0;
        z-index: -1;
        content: url('../images/back.png');

      }
  
      .header {
        margin-bottom: 10px;

        .main__title {
          font-family: 'Montserrat';
          font-style: normal;
          font-weight: 700;
          font-size: 28px;
          line-height: 34px;
          color: #FFFFFF;
        }
      }

      .form {
        display: flex;
        justify-content: space-between;
        margin-bottom: 20px;
        
        .task__input {
          padding: 5px 10px;
          border-radius: 7px;
          width: 100%;
          background-color: transparent;
          border: 2px solid #4F5565;
          color: #fff;

          &::placeholder {
            color: #4F5565;
          }
        }

        .add__button {
          position: absolute;
          top: 30px;
          right: 30px;
          background: #FF8469;
          border-radius: 7px;
          font-family: 'Montserrat';
          font-style: normal;
          font-weight: 500;
          font-size: 14px;
          line-height: 17px;
          color: #fff;
          padding: 5px 10px;

          &:hover {
            background: #D95133;
          }
        }
      }

      .task__list {
        overflow-y: scroll;
        max-height: 456px;
        height: 100%;
        margin-right: -20px;
        padding-right: 20px;

        &::-webkit-scrollbar-track {
         
          border-radius: 10px;
          background-color: transparent;
        }

        &::-webkit-scrollbar {
          width: 4px;
          background-color: transparent;
        }

        &::-webkit-scrollbar-thumb {
          border-radius: 4px;
          background-color: #FF8469;
        }

        .task__item {
          display: flex;
          justify-content: space-between;

          &:not(:last-child) {
            margin-bottom: 20px;
          }

          .task__wrapper {
            display: flex;
            align-items: center;
            gap: 10px;

            .task__input {
              font-family: 'Montserrat';
              font-style: normal;
              font-weight: 500;
              font-size: 16px;
              line-height: 20px;
              color: #fff;
              background-color: transparent;
            }

            .complete {
              color: #4F5565;
              text-decoration-style: solid;
              text-decoration-line: line-through;
              text-decoration-color: #4F5565;
            } 
  
            .remote__buttons {
              display: flex;
              gap: 15px;

              .task__button {
                background-color: transparent;
              }
            }
          }
        }
      }
    }
  }
